// priority: 0

//Block Modifications

onEvent('block.modification', event => {
	event.modify('minecraft:stone', block => {
	  block.destroySpeed = 0.5
	  block.requiresTool = false
	})
})

onEvent('block.modification', event => {
	event.modify('custommachinery:custom_machine_block', block => {
	  block.destroySpeed = 0.5
	  block.requiresTool = false
	})
})

onEvent('block.modification', event => {
	event.modify('minecraft:calcite', block => {
	  block.destroySpeed = 0.5
	  block.requiresTool = false
	})
})

onEvent('block.modification', event => {
	event.modify('enderstorage:ender_chest', block => {
	  block.destroySpeed = 0.8
	})
})
  
onEvent('block.modification', event => {
	event.modify('enderstorage:ender_tank', block => {
	  block.destroySpeed = 0.8
	})
})

onEvent('block.modification', event => {
	event.modify('flopper:flopper', block => {
	  block.destroySpeed = 0.8
	})
})

//Item Modifications

onEvent('item.modification', event => {
	event.modify('thermal:hazmat_helmet', item => {
		item.maxDamage = 660
	})
})

onEvent('item.modification', event => {
	event.modify('thermal:hazmat_chestplate', item => {
		item.maxDamage = 960
	})
})

onEvent('item.modification', event => {
	event.modify('thermal:hazmat_leggings', item => {
		item.maxDamage = 900
	})
})

onEvent('item.modification', event => {
	event.modify('thermal:hazmat_boots', item => {
		item.maxDamage = 780
	})
})

onEvent('item.modification', event => {
	event.modify('minecraft:dragon_head', item => {
		item.maxStackSize = 8
	})
})